/* ==========================================================================
    PAGE-SPECIFIC STYLES
   ========================================================================== */

/* ----------------------------------
   Login Page
   ---------------------------------- */
body.woocommerce-account:has(#customer_login) {
    background-color: #181818;
    background-image: url('assets/images/login2.png');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

body.woocommerce-account:has(#customer_login) .wp-block-post-content {
    background-color: rgba(0, 0, 0, 0.5);
}

body.woocommerce-account:has(#customer_login) h2 {
    color: white;
}

#customer_login h2 {
    color: white;
    background-color: rgba(0, 0, 0, 0.9);
    margin: 0 0 0 0;
    padding: 0.25em 0.5em;
}

.woocommerce-form {
    padding: 0;
    margin: 0 0 0 0 !important;
}

.woocommerce-form .form-row {
    text-align: end;
}

.woocommerce-form-row {
    text-align: start !important;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit {
    float: right;
    margin-left: 1em;
}

.u-column1:has(.woocommerce-form),
.u-column2:has(.woocommerce-form) {
    background-color: rgb(235, 235, 235, 0.9);
    padding-top: 0;
    margin-bottom: 0;
}
